org.gnome.gtk

## Class Scrollbar

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.Widget
        - - org.gnome.gtk.Range
          - - org.gnome.gtk.Scrollbar

- All Implemented Interfaces:
    Orientable
  Direct Known Subclasses:
    HScrollbar, VScrollbar

      public class Scrollbar
      extends Range

  A scroll bar. This is largely an internal Widget used by GTK and theme engines for drawing; to actually manipulate a Scrollbar you instead want to get at the Adjsutment objects being used by the enclosing ScrolledWindow's `getHAdjustment()` and `getVAdjustment()` to then specify what positions are shown.
  Since:
    4.0.8
  See Also:
    `ScrolledWindow`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.Range

      `Range.ValueChanged`

    - ### Nested classes/interfaces inherited from class org.gnome.gtk.Widget

      `Widget.ButtonPressEvent, Widget.ButtonReleaseEvent, Widget.Destroy, Widget.Draw, Widget.EnterNotifyEvent, Widget.FocusInEvent, Widget.FocusOutEvent, Widget.Hide, Widget.KeyPressEvent, Widget.KeyReleaseEvent, Widget.LeaveNotifyEvent, Widget.MapEvent, Widget.MotionNotifyEvent, Widget.PopupMenu, Widget.QueryTooltip, Widget.ScrollEvent, Widget.SizeAllocate, Widget.UnmapEvent, Widget.VisibilityNotifyEvent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scrollbar(Orientation orientation, Adjustment adjustment)` Construct a Scrollbar of the given orientation and supplying an Adjustment.

  - ### Method Summary

    - ### Methods inherited from class org.gnome.gtk.Range

      `connect, getInverted, getOrientation, getValue, setInverted, setOrientation, setValue`

    - ### Methods inherited from class org.gnome.gtk.Widget

      `activate, addEvents, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, connect, destroy, getAllocatedHeight, getAllocatedWidth, getAllocation, getCanDefault, getCanFocus, getHasFocus, getName, getParent, getPreferredHeightForWidthMinimum, getPreferredHeightForWidthNatural, getPreferredHeightMinimum, getPreferredHeightNatural, getPreferredWidthForHeightMinimum, getPreferredWidthForHeightNatural, getPreferredWidthMinimum, getPreferredWidthNatural, getRequestMode, getRequisition, getSensitive, getStyleContext, getToplevel, getWindow, grabAdd, grabDefault, grabFocus, grabRemove, hide, isSensitive, overrideBackground, overrideColor, overrideFont, queueDraw, queueDrawArea, realize, setAlignHorizontal, setAlignVertical, setCanDefault, setCanFocus, setEvents, setExpandHorizontal, setExpandVertical, setName, setSensitive, setSizeRequest, setTooltipMarkup, setTooltipText, show, showAll`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Scrollbar

          public Scrollbar(Orientation orientation,
                   Adjustment adjustment)

      Construct a Scrollbar of the given orientation and supplying an Adjustment. See also the original Widgets `HScrollbar` and `VScrollBar`.
      Since:
        4.1.1